﻿using System;
using System.IO;

namespace newtelligence.ServiceModelExtensions
{
    interface IPoxRawBodyMessage
    {
        /// <summary>
        /// Returns the raw body stream.
        /// </summary>
        /// <returns></returns>
        Stream GetRawBodyStream();
        /// <summary>
        /// Gets the content type of the raw message body based on the Content-Type HTTP header 
        /// contained in the HttpRequestMessageProperty or HttpResponseMessageProperty of this
        /// message. The value is null if the type is unknown.
        /// </summary>
        string BodyContentType { get; }
    }
}
